# probando sobre debian lenny
## web apps php5/apache2/mysql
#

class webapps-php {

    package { [ "apache2-mpm-prefork" ]:  ensure => installed  } 
    package { [ "php5", 
		"php5-gd", 
		"php5-mysql", 
		"php5-mcrypt", 
		"php5-cli" ]: ensure => installed  }

    service { "apache2":
        enable    => true,
        ensure    => running,
        subscribe => [  Package["apache2-mpm-prefork"],
			Package["php5"],
			Package["php5-gd"],
			Package["php5-mcrypt"],
			Package["php5-cli"] ]
    } 

#    include mysql-server
#    preseed_package { "phpmyadmin" : ensure => present }
}

class mysql-server {

    # TODO: set root password 
    # http://reductivelabs.com/trac/puppet/wiki/Recipes/MySQLServer
    # http://github.com/camptocamp/puppet-mysql/tree
    # http://github.com/duritong/puppet-mysql/tree
    package { [ "mysql-server" ]: ensure => installed }

    service { "mysql":
      ensure => running,
      enable => true,
      name => "mysql",
      require => Package["mysql-server"],
    }
}
