# copyright <sebas @ koumbit.org>
# Licence: GPL
#

class escritorio::basico {

    package { [
       "ubuntu-desktop",
       "ubuntu-restricted-extras"
       ]: ensure => installed
    }

    package { [
       "gimp",
       "scribus",
       "inkscape",
       "nautilus-image-converter"
       ]: ensure => installed
    }

    package { [
       "seamonkey-browser", 
       "amsn",
       "pidgin",
       "tuxtype",
       "xul-ext-flashblock"
       ]: ensure => installed
    }

    package { [
       "bluefish"
       ]: ensure => installed
    }

    package { [
       "smbfs"
       ]: ensure => installed
    }

    package { [
       "terminator",
       "libnss3-tools"
       ]: ensure => installed
    }


    file { ["/dist", "/dist/svn-redcta"]:
      ensure => directory,
      owner => root,
      group => root
    }
}

