# copyright <sebas @ koumbit.org>
# < josx @ inteorganic.com.ar >
# Licence: GPL
#

class grub  {

    package { [
       "grub-common",
       "grub-pc",
       ]: ensure => installed
    }

    file {
            "/etc/default/grub":
            owner => root,
            group => root,
            mode => 644,
            source => "puppet:///grub/grub"
    }

    exec { "exec_update_grub":
            command => "update-grub2",
            path => "/bin:/sbin:/usr/sbin:/usr/bin",
            require => Package["grub-pc"]
    }
}
    
