class login_themes::plymouth::logocta {

    package { [
        "plymouth-theme-ubuntu-logo"
        ]: ensure => installed
    }

    file {
        "/lib/plymouth/themes/ubuntu-logo/ubuntu_logo.png":
         mode    => 644,
         owner   => root,
         group   => root,
         source  => "puppet:///login_themes/plymouth/ubuntu_logo.png",
         notify  => Exec["set_logo_en_plymouth"],
         require => Package[plymouth-theme-ubuntu-logo];
        "/lib/plymouth/themes/ubuntu-logo/ubuntu_logo16.png":
         mode    => 644,
         owner   => root,
         group   => root,
         source  => "puppet:///login_themes/plymouth/ubuntu_logo16.png",
         notify  => Exec["set_logo_en_plymouth"],
         require => Package[plymouth-theme-ubuntu-logo];
    }

   exec { "set_logo_en_plymouth":
       command => "update-initramfs -u",
       path    => "/bin:/sbin:/usr/sbin:/usr/bin",
       refreshonly  => true,
   }

}
