class network::openbsd {
  exec { "netstart":
    command     => "/bin/sh /etc/netstart",
    logoutput   => true,
    refreshonly => true,
  }
}

define network::interface::openbsd ( $address, $netmask, $broadcast = "NONE", $parameters = "" ) {
  include network::openbsd  

  file { "/etc/hostname.$name":
    mode => 0644,
    content => template("network/openbsd.hostname.erb"),
    notify => Exec[netstart],
  }
}
