# Example:
#    escritorio::ubufox::startuppage { dist:
#        startuppage => "http://www.sedenacional.cta.org.ar",
#    }
# o
#
# include escritorio::ubufox::searchplugins

define escritorio::ubufox::startuppage ( $startuppage ) { 
    file { "/etc/xul-ext/ubufox.js":
    ensure  => "present",
    content => "pref(\"browser.startup.homepage\", \"file:/etc/xul-ext/ubuntu-firefox-startup-page.conf\");\n",
   }

   file { "/etc/xul-ext/ubuntu-firefox-startup-page.conf":
   ensure  => "present",
   content => "browser.startup.homepage=$startuppage\n",
   }
}


# para default de search engine usar browser.search.defaultenginename
class escritorio::ubufox::searchplugins  {
    file { "/usr/share/xul-ext/ubufox/searchplugins/ask.xml":
	ensure => absent
    }

    file { "/usr/share/xul-ext/ubufox/searchplugins/scroggle-ssl-spanish.xml":
        owner => root,
        group => root,
        mode => 644,
        source => "puppet:///escritorio/firefox/scroogle-ssl-spanish.xml"
    }
}
