# copyright josx @ interorganic.com.ar
# Licence: GPL
#

class escritorio::xorg::vesa {

    package { [
        "xserver-xorg-video-vesa"
        ]: ensure => installed
    }

    file { "/etc/X11/xorg.conf":
        owner   => root,
        group   => root,
        mode    => 644,
        source  => "puppet:///escritorio/xorg/xorg.conf.vesa",
        require => Package["xserver-xorg-video-vesa"]
    }
}

class escritorio::xorg::fbdev {

    package { [
        "xserver-xorg-video-fbdev"
        ]: ensure => installed
    }

    file { "/etc/X11/xorg.conf":
        owner   => root,
        group   => root,
        mode    => 644,
        source  => "puppet:///escritorio/xorg/xorg.conf.fbdev",
        require => Package["xserver-xorg-video-fbdev"]
    }
}


