# copyright <sebas @ koumbit.org>
# Licence: GPL
#

class maquinavirtual {

}

class maquinavirtual::dosemu {

    package { [ "dosemu" ]: ensure => installed }
}

class maquinavirtual::dosemu::cta {
    include maquinavirtual::dosemu

    file { "/etc/dosemu/freedos/autoexec.bat":
       owner => root,
       group => root,
       mode => 644,
       source => "puppet:///maquinavirtual/dosemu/autoexec.bat",
       require => Package["dosemu"],
    }
    file { "/etc/dosemu/freedos/config.sys":
       owner => root,
       group => root,
       mode => 644,
       source => "puppet:///maquinavirtual/dosemu/config.sys",
       require => Package["dosemu"],
    }
}
