#
# Example usage:
# The following creates the repository at /var/lib/svn/puppet
#
# svnrepo { puppet: path => "/var/lib/svn" }
#
# The following checks out the repository at /var/lib/puppet
#
# svnserve { puppet: source => "file:///var/lib/svn", path => "/var/lib/puppet" }

class svn {
  package { "subversion": ensure => installed }
}

import 'checkout.pp'
import 'repo.pp'
