<?php
#-----------------------------------------------------#
#  Plugin  : redCTA - Licence : GPL           #
#  
#-----------------------------------------------------#
if (!defined("_ECRIRE_INC_VERSION")) return;

// compatibilidad con spip 1.9
if(!function_exists(ajax_retour)) { 
	function ajax_retour($corps) {
		$c = $GLOBALS['meta']["charset"];
		header('Content-Type: text/html; charset='. $c);
		$c = '<' . "?xml version='1.0' encoding='" . $c . "'?" . ">\n";
		echo $c, $corps;
		exit;
	}
}

function exec_redcta_boite_rss_dist() {
	cs_minipres();
	include_spip('cout_define');
	cout_define('distant');
	$p = '';
	// on cherche le flux rss toutes les _REDCTA_RSS_UPDATE minutes
	$force = _request('force')=='oui';
	if(!$force) {
		$lastmodified = @file_exists(_DIR_RSS_TMP)?@filemtime(_DIR_RSS_TMP):0;
		if (time()-$lastmodified < _REDCTA_RSS_UPDATE) lire_fichier(_DIR_RSS_TMP, $p);
	}
	if(strlen($p)) { ajax_retour($p); return; }
	include_spip('inc/filtres');
	include_spip('action/editer_site');
	include_spip('inc/xml');
	$r = spip_xml_load(_REDCTA_RSS_SOURCE);
	if (function_exists('spip_xml_match_nodes')) $c = spip_xml_match_nodes(',^item$,', $r, $r2);
	else {
		$r2 = !is_array($r)?array():array_shift(array_shift(array_shift(array_shift($r))));
		$c = count($r2);
	}
	if($c) {
		$r3 = &$r2['item'];
		$c = count($r3); $p='';
		for($i=0; $i<min($c, _REDCTA_RSS_COUNT); $i++) {
		 $l = $r3[$i]['link'][0];
		 $d = affdate_court(date('Y-m-d', strtotime($r3[$i]['pubDate'][0])));
		 $t = str_replace('&amp;', '&', htmlentities($r3[$i]['title'][0], ENT_NOQUOTES, "UTF-8"));
		 $t = preg_replace(',\s*&#8364;(&brvbar;)?,', '&nbsp;(&hellip;)', $t);
		 $t = preg_replace(',^(.*?):,', "&bull; <a href='$l' class='spip_out' target='_cout'>$1</a> <i>($d)</i><br/>", $t);
			 $p .= "<li style='padding-top:0.6em;'>$t</li>";
		}
	} else {
		// pour redcta_lien()
		include_spip('cout_fonctions');
		$p = '<span style="color: red;">'._T('redcta:erreur:probleme', array('pb'=>cs_lien(_REDCTA_RSS_SOURCE,_T('redcta:erreur:distant')))).'</span>';
	}
	$du = affdate_heure(date('Y-m-d H:i:s',time()));
	$p = '<ul style="list-style-type:none; padding:0; margin:0; ">'.$p
		.'</ul><p class="spip_xx-small" style="border-top:solid gray thin;"><b>'
		._T('redcta:rss_edition')."</b><br/>$du</p>"
		.'<p style="text-align:right"><a href="'
		.generer_url_ecrire('admin_redcta','var_mode=calcul', true).'" onclick="'
		."javascipt:jQuery('div.redcta_boite_rss').load('".generer_url_ecrire('redcta_boite_rss', 'force=oui', true).'\');return false;">'
		._T('redctaprive:rss_actualiser').'</a> | <a href="'
		._REDCTA_RSS_SOURCE.'">'
		._T('redctaprive:rss_source').'</a></p>';
	if($c) ecrire_fichier(_DIR_RSS_TMP, $p);
	
	ajax_retour($p);
}

?>